(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     15907,        410]
NotebookOptionsPosition[     15167,        381]
NotebookOutlinePosition[     15510,        396]
CellTagsIndexPosition[     15467,        393]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 StyleBox[
  RowBox[{"Nakahashi", ",", " ", "Wakano", ",", " ", 
   RowBox[{"and", " ", "Henrich", " ", 
    RowBox[{"(", "2012", ")"}]}]}], "Title"], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
  "Plots", " ", "of", " ", "Inequality", " ", "21", " ", "and", " ", "22"}], 
  "Subtitle"]}], "Input",
 CellChangeTimes->{{3.6177316452766523`*^9, 3.617731656663273*^9}, {
  3.6247267740649633`*^9, 3.624726812241457*^9}, {3.6247271728056245`*^9, 
  3.624727175558463*^9}}],

Cell[BoxData[{
 StyleBox[
  RowBox[{"d", " ", "=", " ", 
   RowBox[{
   "cost", " ", "of", " ", "figuring", " ", "out", " ", "most", " ", "common",
     " ", "trait"}]}], "Text"], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"c", " ", "=", " ", 
   RowBox[{"cost", " ", "of", " ", "Individual", " ", "Learning"}]}], 
  "Text"], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"s", " ", "=", " ", 
   RowBox[{
   "fitness", " ", "consequences", " ", "of", " ", "not", " ", "figuring", 
    " ", "out", " ", "adaptive", " ", "trait", " ", 
    RowBox[{"(", 
     RowBox[{"i", ".", "e", ".", " ", "selection"}], ")"}]}]}], 
  "Text"], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
   RowBox[{"m", "=", 
    RowBox[{"migration", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"i", ".", "e", ".", " ", "error"}], " ", "in", " ", "social", 
       " ", "information"}], ")"}]}]}], "\[IndentingNewLine]"}], 
  "Text"], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"We", " ", "can", " ", "assume", " ", "that", " ", "selection", " ", 
   RowBox[{"(", "s", ")"}], " ", "is", " ", "low", " ", "and", " ", 
   "migration", " ", "is", " ", "less", " ", "than", " ", "50", "%", " ", 
   RowBox[{"(", 
    RowBox[{"m", "<", ".5"}], ")"}]}], "Text"]}], "Input",
 CellChangeTimes->{{3.617731630792961*^9, 3.6177316324760923`*^9}, {
  3.624726733585928*^9, 3.6247267697400737`*^9}, {3.6247268256971383`*^9, 
  3.624726924852027*^9}}],

Cell[BoxData[
 StyleBox[
  RowBox[{
  "Region", " ", "Plot", " ", "for", " ", "when", " ", "Conformist", " ", 
   "Transmission", " ", "is", " ", 
   RowBox[{"adaptive", "."}]}], "Section"]], "Input",
 CellChangeTimes->{{3.6247269907590446`*^9, 3.6247270343871803`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"RegionPlot", "[", 
    RowBox[{
     RowBox[{"d", "<", 
      RowBox[{"Min", "[", 
       RowBox[{
        RowBox[{"1", "-", 
         FractionBox[
          RowBox[{"1", "-", "c"}], 
          RowBox[{"1", "-", 
           RowBox[{"m", "*", "s"}]}]]}], ",", 
        RowBox[{"1", "-", 
         FractionBox[
          RowBox[{"m", " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "-", "s"}], ")"}], "2"]}], 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "-", 
             RowBox[{"m", " ", "s"}]}], ")"}], "2"]], "-", 
         FractionBox[
          RowBox[{"1", "-", "m"}], 
          RowBox[{"1", "-", 
           RowBox[{"m", " ", "s"}]}]]}]}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "0", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "0", ",", "1"}], "}"}], ",", " ", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"d", ",", "c"}], "}"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"s", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"m", ",", "0", ",", "0.5"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.617731771566143*^9, 3.617731862944497*^9}, {
   3.6177319286170034`*^9, 3.617731942971609*^9}, {3.617731982311202*^9, 
   3.617731995971342*^9}, {3.6177320269090385`*^9, 3.61773203333634*^9}, {
   3.617732077695017*^9, 3.6177320859605494`*^9}, {3.6177321375408473`*^9, 
   3.6177322095700226`*^9}, 3.6177323305399523`*^9, {3.6177323899981213`*^9, 
   3.617732405071208*^9}, {3.6181669681157503`*^9, 3.618167042144124*^9}, {
   3.6181670791178055`*^9, 3.6181671051190996`*^9}, 3.6181694777220764`*^9, {
   3.624726929430084*^9, 3.624726930039494*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`m$$ = 0.2, $CellContext`s$$ = 0.1, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`s$$], 0, 1}, {
      Hold[$CellContext`m$$], 0, 0.5}}, Typeset`size$$ = {360., {177., 182.}},
     Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`s$24160$$ = 0, $CellContext`m$24161$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`m$$ = 0, $CellContext`s$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`s$$, $CellContext`s$24160$$, 0], 
        Hold[$CellContext`m$$, $CellContext`m$24161$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      RegionPlot[$CellContext`d < 
        Min[1 - (1 - $CellContext`c)/(1 - $CellContext`m$$ $CellContext`s$$), 
          1 - $CellContext`m$$ (1 - $CellContext`s$$)^2/(
           1 - $CellContext`m$$ $CellContext`s$$)^2 - (1 - $CellContext`m$$)/(
          1 - $CellContext`m$$ $CellContext`s$$)], {$CellContext`d, 0, 
         1}, {$CellContext`c, 0, 1}, 
        FrameLabel -> {$CellContext`d, $CellContext`c}], 
      "Specifications" :> {{$CellContext`s$$, 0, 1}, {$CellContext`m$$, 0, 
         0.5}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{411., {263., 268.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.6181670498702803`*^9, 3.6181671084773426`*^9, 
  3.6247269322119446`*^9}]
}, Open  ]],

Cell[BoxData[
 StyleBox[
  RowBox[{
  "Area", " ", "in", " ", "Region", " ", "as", " ", "a", " ", "function", " ",
    "of", " ", "error", " ", 
   RowBox[{"(", "m", ")"}], " ", "for", " ", "different", " ", "values", " ", 
   "of", " ", "selection", " ", 
   RowBox[{"(", "s", ")"}]}], "Section"]], "Input",
 CellChangeTimes->{{3.6247269907590446`*^9, 3.624727093248491*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"NIntegrate", "[", 
      RowBox[{
       RowBox[{"Boole", "[", 
        RowBox[{"d", "<", 
         RowBox[{"Min", "[", 
          RowBox[{
           RowBox[{"1", "-", 
            FractionBox[
             RowBox[{"1", "-", "c"}], 
             RowBox[{"1", "-", 
              RowBox[{"m", "*", "s"}]}]]}], ",", 
           RowBox[{"1", "-", 
            FractionBox[
             RowBox[{"m", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"1", "-", "s"}], ")"}], "2"]}], 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"1", "-", 
                RowBox[{"m", " ", "*", "s"}]}], ")"}], "2"]], "-", 
            FractionBox[
             RowBox[{"1", "-", "m"}], 
             RowBox[{"1", "-", 
              RowBox[{"m", " ", "*", "s"}]}]]}]}], "]"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"m", ",", "0", ",", "0.5"}], "}"}], ",", " ", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"m", ",", 
        RowBox[{"Area", " ", "In", " ", "Region"}]}], "}"}]}]}], "]"}], ",", 
   " ", 
   RowBox[{"{", 
    RowBox[{"s", ",", "0", ",", ".3"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6201354977707095`*^9, 3.6201355132659845`*^9}, {
  3.6201355814281874`*^9, 3.6201355892712154`*^9}, {3.620135629854125*^9, 
  3.6201356430408683`*^9}, {3.620136194417469*^9, 3.6201361977196584`*^9}, {
  3.620136285311609*^9, 3.62013630370881*^9}, {3.620136403952166*^9, 
  3.620136428405381*^9}, {3.620136474739106*^9, 3.6201366250045166`*^9}, {
  3.6201366784526715`*^9, 3.6201367131146584`*^9}, {3.620137009906464*^9, 
  3.62013704738832*^9}, {3.620137105935142*^9, 3.620137178016941*^9}, {
  3.62472696552419*^9, 3.624726965703309*^9}, {3.624727047325821*^9, 
  3.62472704790421*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`s$$ = 0.1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`s$$], 0, 0.3}}, Typeset`size$$ = {360., {112., 116.}},
     Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`s$46523$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`s$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`s$$, $CellContext`s$46523$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Plot[
        NIntegrate[
         Boole[$CellContext`d < 
          Min[1 - (1 - $CellContext`c)/(1 - $CellContext`m $CellContext`s$$), 
            1 - $CellContext`m (1 - $CellContext`s$$)^2/(
             1 - $CellContext`m $CellContext`s$$)^2 - (1 - $CellContext`m)/(
            1 - $CellContext`m $CellContext`s$$)]], {$CellContext`d, 0, 
          1}, {$CellContext`c, 0, 1}], {$CellContext`m, 0, 0.5}, 
        AxesLabel -> {$CellContext`m, $CellContext`Area 
          In $CellContext`Region}], 
      "Specifications" :> {{$CellContext`s$$, 0, 0.3}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{411., {171., 176.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.6247269689764957`*^9, 3.62472709794563*^9}]
}, Open  ]],

Cell[BoxData[
 StyleBox[
  RowBox[{
  "Area", " ", "in", " ", "Region", " ", "as", " ", "a", " ", "function", " ",
    "of", " ", "selection", " ", 
   RowBox[{"(", "s", ")"}], " ", "for", " ", "different", " ", "values", " ", 
   "of", " ", "error", " ", 
   RowBox[{"(", "m", ")"}]}], "Section"]], "Input",
 CellChangeTimes->{{3.624727133383295*^9, 3.624727142831605*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"NIntegrate", "[", 
      RowBox[{
       RowBox[{"Boole", "[", 
        RowBox[{"d", "<", 
         RowBox[{"Min", "[", 
          RowBox[{
           RowBox[{"1", "-", 
            FractionBox[
             RowBox[{"1", "-", "c"}], 
             RowBox[{"1", "-", 
              RowBox[{"m", "*", "s"}]}]]}], ",", 
           RowBox[{"1", "-", 
            FractionBox[
             RowBox[{"m", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"1", "-", "s"}], ")"}], "2"]}], 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"1", "-", 
                RowBox[{"m", " ", "*", "s"}]}], ")"}], "2"]], "-", 
            FractionBox[
             RowBox[{"1", "-", "m"}], 
             RowBox[{"1", "-", 
              RowBox[{"m", " ", "*", "s"}]}]]}]}], "]"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"c", ",", "0", ",", "1"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"s", ",", "0", ",", ".3"}], "}"}], ",", " ", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"m", ",", 
        RowBox[{"Area", " ", "In", " ", "Region"}]}], "}"}]}]}], "]"}], ",", 
   " ", 
   RowBox[{"{", 
    RowBox[{"m", ",", "0", ",", ".5"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.620161774659584*^9, 3.6201617820034513`*^9}, {
  3.6247271448879795`*^9, 3.6247271486775103`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`m$$ = 0.2, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`m$$], 0, 0.5}}, Typeset`size$$ = {360., {110., 114.}},
     Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`m$52921$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`m$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`m$$, $CellContext`m$52921$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Plot[
        NIntegrate[
         Boole[$CellContext`d < 
          Min[1 - (1 - $CellContext`c)/(1 - $CellContext`m$$ $CellContext`s), 
            1 - $CellContext`m$$ (1 - $CellContext`s)^2/(
             1 - $CellContext`m$$ $CellContext`s)^2 - (1 - $CellContext`m$$)/(
            1 - $CellContext`m$$ $CellContext`s)]], {$CellContext`d, 0, 
          1}, {$CellContext`c, 0, 1}], {$CellContext`s, 0, 0.3}, 
        AxesLabel -> {$CellContext`m$$, $CellContext`Area 
          In $CellContext`Region}], 
      "Specifications" :> {{$CellContext`m$$, 0, 0.5}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{411., {169., 174.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.6201617869957566`*^9, 3.624727151201197*^9}]
}, Open  ]]
},
WindowSize->{1582, 773},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 485, 11, 85, "Input"],
Cell[1045, 33, 1421, 35, 127, "Input"],
Cell[2469, 70, 270, 6, 54, "Input"],
Cell[CellGroupData[{
Cell[2764, 80, 1789, 45, 52, "Input"],
Cell[4556, 127, 2144, 42, 548, "Output"]
}, Open  ]],
Cell[6715, 172, 376, 8, 54, "Input"],
Cell[CellGroupData[{
Cell[7116, 184, 2059, 51, 52, "Input"],
Cell[9178, 237, 1991, 40, 364, "Output"]
}, Open  ]],
Cell[11184, 280, 374, 8, 54, "Input"],
Cell[CellGroupData[{
Cell[11583, 292, 1569, 44, 52, "Input"],
Cell[13155, 338, 1996, 40, 360, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
